모델 체인 순위 중복

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/model-chain-rank-repeated입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

<sourceLocale>→<targetLocale> 모델 체인에서 순위 2가 두 번 이상 사용되었습니다. 체인에 있는 각 모델 설정에 서로 다른 순위를 지정하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
sourceLocalestring
targetLocalestring
rankinteger

예시#

json
{
  "detail": "The <sourceLocale>→<targetLocale> model chain uses rank 2 more than once. Give each model config in a chain its own rank.",
  "sourceLocale": "<sourceLocale>",
  "targetLocale": "<targetLocale>",
  "rank": 2,
  "type": "https://lingo.dev/docs/api/errors/model-chain-rank-repeated",
  "status": 422,
  "title": "Model chain rank repeated"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs